Get Payroll Calculation Task Results
curl --request GET \
--url https://api.example.com/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"status": "<string>",
"data": {
"employee_id": "<string>",
"current_pay_period": {
"employee": {
"totals": {
"gross_wages": "0.00",
"net_wages": "0.00",
"total_deductions": "0.00",
"total_reimbursements": "0.00",
"net_pay": "0.00"
},
"benefits": {
"benefits_in_kind": "0.00"
},
"taxes": {
"income_tax_assessment_base": "0.00",
"income_tax": "0.00"
},
"insurance": {
"insurance_assessment_base": "0.00",
"national_insurance": "0.00"
},
"deductions": [
{
"name": "<string>",
"amount": "0.00"
}
],
"reimbursements": [
{
"name": "<string>",
"amount": "0.00"
}
],
"salary_sacrifice": {
"total": "<string>",
"items": [
{
"wage_type_code": "<string>",
"amount": "<string>",
"source": "<string>"
}
]
},
"statutory_payments": [
{
"rti_payment_type": "<string>",
"amount": "0.00"
}
]
},
"employer": {
"secondary_class_1_nic": "0.00",
"class_1a_nic": "0.00",
"employer_pension_contribution": "0.00"
}
},
"payment_period": "MONTH",
"execution_history": [
{
"flow": "<string>",
"node": "<string>"
}
]
}
}
],
"pagination": {
"limit": 123,
"has_next": false,
"has_prev": false,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"total": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Task Status & Results
Get Payroll Calculation Task Results
GET
/
gb
/
organizations
/
{organization_id}
/
payrolls
/
{payroll_status_id}
/
tasks
/
payroll-calculation
/
{task_id}
/
results
Get Payroll Calculation Task Results
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Available options:
success, failed Required range:
1 <= x <= 100Was this page helpful?
⌘I